Cele trei scheme
Fiecare schemă este o bucată scurtă de text pe care un telefon știe s-o dea aplicației potrivite. mailto: deschide aplicația de e-mail, tel: deschide aplicația de apelare, iar sms: deschide aplicația de mesaje, cu destinatarul și uneori mesajul deja completate.
Numerele de telefon funcționează cel mai bine în format internațional, cu semnul plus și prefixul țării, cum ar fi +15035550123, astfel încât codul să funcționeze pentru vizitatori din alte țări.
- mailto:hello@example.com?subject=Order%20question&body=Hi (RFC 6068)
- tel:+15035550123 (RFC 3966)
- sms:+15035550123?body=Hello (RFC 5724)
- SMSTO:+15035550123:Hello (convenție mai veche, încă larg citită)
- MATMSG:TO:hello@example.com;SUB:Hi;BODY:Hello;; (convenție mai veche pentru e-mail)
Codificarea textului mesajului
Subiectele și corpurile mesajelor din linkurile mailto și sms trebuie codificate procentual, deci un spațiu devine %20, iar un ampersand din text devine %26. Caracterele necodificate pot tăia mesajul sau strica linkul.
Platformele nu au interpretat întotdeauna identic parametrul body din sms, unul dintre motivele pentru care forma mai veche SMSTO: este încă frecventă în generatoarele QR. Testarea pe iPhone și pe Android înainte de tipărire este verificarea de încredere.
Ce nu pot face aceste coduri
Un cod QR nu poate trimite singur un e-mail, un mesaj text sau iniția un apel. Doar deschide aplicația cu câmpurile completate, iar persoana care scanează decide dacă apasă trimite sau apelează.
Fiindcă destinatarul este vizibil înainte de trimitere, oamenii trebuie să verifice dacă se potrivește cu ce se așteaptă. Un cod care precompletează un mesaj către un număr cu tarif special sau către o adresă necunoscută este un semn de avertizare.